using APT.Infrastructure.Core;
using APT.BaseData.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using APT.BaseData.Domain.Enums.PF;

namespace APT.MS.Domain.Entities.CM
{
    /// <summary>
    /// 应急演练活动评估
    /// </summary>
    [Description("应急演练活动评估")]
    public class T_CM_DRILL_ESTIMATE : MesEntityBase
    {
        /// <summary>
        /// 应急演练活动评估编号
        /// </summary>
        [Description("编号")]
        [CodeRule((int)PFCodeRuleType.应急管理)]
        [CUnique]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(50)]
        public string CODE { get; set; }

        /// <summary>
        /// 演练记录编号
        /// </summary>
        [Description("演练记录编号")]
        [DataFieldForeignKey("Nav_Record")]
        public Guid RECORD_ID { get; set; }

        /// <summary>
        /// 导航属性：演练记录
        /// </summary>
        [Description("演练记录")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public virtual T_CM_DRILL_RECORD Nav_Record { get; set; }

        /// <summary>
        /// 导航：评估项目
        /// </summary>
        [Description("导航：评估项目")]
        [FormFieldEdit]
        public virtual ICollection<T_CM_DRILL_ESTIMATE_RECORD> Nav_ListEstimateRecord { get; set; }

        /// <summary>
        /// 建议
        /// </summary>
        [Description("建议")]
        [FormFieldEdit]
        [DataFieldLength(300)]
        public string ADVISE { get; set; }

        /// <summary>
        /// 状态
        /// </summary>
        [Description("状态")]
        [FormFieldTable]
        [FormFieldQuery]
        public PFStandardStatus STATUS { get; set; }
    }
}
